Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 575144 - net-analyzer/suricata: use system net-libs/libhtp
Summary: net-analyzer/suricata: use system net-libs/libhtp
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Sławek Lis
URL:
Whiteboard:
Keywords:
: 576540 (view as bug list)
Depends on:
Blocks:
 
Reported: 2016-02-19 12:52 UTC by Toralf Förster
Modified: 2016-05-17 11:21 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-history.txt (emerge-history.txt,42 bytes, text/plain)
2016-02-19 12:52 UTC, Toralf Förster
Details
net-libs:libhtp-0.5.18:20160219-051207.log (net-libs:libhtp-0.5.18:20160219-051207.log,57.03 KB, text/plain)
2016-02-19 12:52 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2016-02-19 12:52:39 UTC

$ cat emerge-info.txt
  -----------------------------------------------------------------

  This is an unstable amd64 chroot image (named amd64-selinux-unstable_20160204-170558) at a hardened host acting as a tinderbox.

  -----------------------------------------------------------------

  make.conf: USE="mmx sse sse2 pax_kernel -cdinstall -oci8 -bindist -aes-ni avx2 cdb cgi compat corefonts custom-cflags -evdev fortran freetds ftp gnuplot gtkstyle gudev imap introspection jadetex javafx -mbox mdnsresponder-compat mikmod mod oci8 ogg opengl png postproc pulseaudio pyqt4 sql sqlite ssh-askpass ssl ssse3 thinkpad -tk ufed video xinetd -xmp xvmc"

  -----------------------------------------------------------------
Portage 2.2.27 (python 3.4.3-final-0, default/linux/amd64/13.0/selinux, gcc-5.3.0, glibc-2.22-r2, 4.3.5-hardened-r2 x86_64)
=================================================================
System uname: Linux-4.3.5-hardened-r2-x86_64-Intel-R-_Core-TM-_i7-3770_CPU_@_3.40GHz-with-gentoo-2.2
KiB Mem:    16164680 total,   1031612 free
KiB Swap:   16777212 total,  16711752 free
Timestamp of repository gentoo: Fri, 19 Feb 2016 02:23:33 +0000
sh bash 4.3_p42-r2
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
app-shells/bash:          4.3_p42-r2::gentoo
dev-java/java-config:     2.2.0::gentoo
dev-lang/perl:            5.22.1::gentoo
dev-lang/python:          2.7.11-r2::gentoo, 3.4.3-r7::gentoo, 3.5.1-r2::gentoo
dev-util/cmake:           3.4.3::gentoo
dev-util/pkgconfig:       0.29::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.20.5::gentoo
sys-apps/sandbox:         2.10-r1::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r1::gentoo
sys-devel/automake:       1.9.6-r4::gentoo, 1.10.3-r2::gentoo, 1.11.6-r2::gentoo, 1.13.4-r1::gentoo, 1.14.1-r1::gentoo, 1.15-r2::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo
sys-devel/gcc:            4.2.4-r1::gentoo, 4.9.3::gentoo, 5.3.0::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 4.4::gentoo (virtual/os-headers)
sys-libs/glibc:           2.22-r2::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.de.gentoo.org/gentoo-portage/
    priority: 1

local
    location: /usr/local/portage
    masters: gentoo
    priority: 2

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/entropy /etc/stunnel/stunnel.conf /usr/lib64/tomoyo/conf /usr/share/gnupg/qualified.txt /var/lib/i2pd/certificates /var/rancid/.cloginrc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/games/angband/gamedata/ /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.5/ext-active/ /etc/php/apache2-php7.0/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cgi-php7.0/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/php/cli-php7.0/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/var/tmp/distfiles"
EMERGE_DEFAULT_OPTS="--deep --verbose-conflicts --color=n --nospinner --tree --quiet-build --accept-properties=-interactive --accept-restrict=-fetch"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync network-sandbox news parallel-fetch preserve-libs protect-owned sandbox selinux sesandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.uni-erlangen.de/pub/mirrors/gentoo rsync://mirror.netcologne.de/gentoo/ ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gor.bytemark.co.uk/gentoo/ rsync://ftp.snt.utwente.nl/gentoo"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="acl amd64 avx2 berkdb bzip2 cdb cgi cli compat corefonts cracklib crypt custom-cflags cxx dri fortran freetds ftp gdbm gnuplot gtkstyle gudev iconv imap introspection ipv6 jadetex javafx mdnsresponder-compat mikmod mmx mmxext mod modules multilib ncurses nls nptl oci8 ogg open_perms opengl openmp pam pax_kernel pcre png postproc pulseaudio pyqt4 readline seccomp selinux session sql sqlite sse sse2 ssh-askpass ssl ssse3 tcpd thinkpad ufed unconfined unicode video xattr xinetd xvmc zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en en_GB" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby20 ruby21" USERLAND="GNU" VIDEO_CARDS="intel i965" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Toralf Förster gentoo-dev 2016-02-19 12:52:42 UTC
Created attachment 425894 [details]
emerge-history.txt
Comment 2 Toralf Förster gentoo-dev 2016-02-19 12:52:44 UTC
Created attachment 425896 [details]
net-libs:libhtp-0.5.18:20160219-051207.log
Comment 3 SpanKY gentoo-dev 2016-02-19 16:09:31 UTC
we want to update suricata to use the new split out libhtp
Comment 4 Sławek Lis gentoo-dev 2016-02-19 20:19:59 UTC
Please try out updated ebuild.
Comment 5 SpanKY gentoo-dev 2016-02-20 08:05:51 UTC
(In reply to Sławek Lis from comment #4)

it shouldn't be a USE flag ... it should always use the system copy
Comment 6 Sławek Lis gentoo-dev 2016-02-21 20:28:16 UTC
(In reply to SpanKY from comment #5)

updated.
Comment 7 SpanKY gentoo-dev 2016-03-05 20:35:01 UTC
*** Bug 576540 has been marked as a duplicate of this bug. ***
Comment 8 Marcin Mirosław 2016-05-17 07:54:49 UTC
I'm getting filecollision with suricata and libhtp, I think that it's corelated to this bug. I've installed net-analyzer/suricata-2.0.11::gentoo at 26.02.2016
When I trying to reemerge suricata (due to changed USE flags) portage try to install libhttp to satisfy dependencies.
# emerge -pv suricata

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N    ~] net-libs/libhtp-0.5.18::gentoo  USE="-debug -static-libs" ABI_X86="(64) -32 (-x32)" 0 KiB
[ebuild   R   ~] net-analyzer/suricata-2.0.11::gentoo  USE="af-packet detection hardened nfqueue rules -control-socket -cuda -debug -geoip -lua -luajit -nflog {-test} (-system-htp%)" 0 KiB

Total: 2 packages (1 new, 1 reinstall), Size of downloads: 0 KiB

but installing libhtp failes due to file collision:
>>> Completed installing libhtp-0.5.18 into /var/tmp/portage/net-libs/libhtp-0.5.18/image/                                                                                                            [99/1850]

 * Final size of build directory: 7169 KiB
 * Final size of installed tree: 705 KiB

strip: x86_64-pc-linux-gnu-strip --strip-unneeded -R .comment -R .GCC.command.line -R .note.gnu.gold-version
   usr/lib64/libhtp-0.5.18.so.1.0.0

>>> Installing (1 of 2) net-libs/libhtp-0.5.18::gentoo
 * checking 20 files for package collisions
 * This package will overwrite one or more files that may belong to other
 * packages (see list below). You can use a command such as `portageq
 * owners / <filename>` to identify the installed package that owns a
 * file. If portageq reports that only one package owns a file then do
 * NOT file a bug report. A bug report is only useful if it identifies at
 * least two or more packages that are known to install the same file(s).
 * If a collision occurs and you can not explain where the file came from
 * then you should simply ignore the collision since there is not enough
 * information to determine if a real problem exists. Please do NOT file
 * a bug report at http://bugs.gentoo.org unless you report exactly which
 * two packages install the same file(s). See
 * http://wiki.gentoo.org/wiki/Knowledge_Base:Blockers for tips on how to
 * solve the problem. And once again, please do NOT file a bug report
 * unless you have completely understood the above message.
 * 
 * package net-libs/libhtp-0.5.18 NOT merged
 * 
 * Detected file collision(s):
 * 
 *      /usr/include/htp/htp_list.h
 *      /usr/include/htp/htp_core.h
 *      /usr/include/htp/htp_urlencoded.h
 *      /usr/include/htp/htp_hooks.h
 *      /usr/include/htp/bstr_builder.h
 *      /usr/include/htp/htp.h
 *      /usr/include/htp/bstr.h
 *      /usr/include/htp/htp_decompressors.h
 *      /usr/include/htp/htp_table.h
 *      /usr/include/htp/htp_base64.h
 *      /usr/include/htp/htp_utf8_decoder.h
 *      /usr/include/htp/htp_connection_parser.h
 *      /usr/include/htp/htp_config.h
 *      /usr/include/htp/htp_multipart.h
 *      /usr/include/htp/htp_version.h
 *      /usr/include/htp/htp_transaction.h
 *      /usr/lib64/libhtp-0.5.18.so.1.0.0
 *      /usr/lib64/pkgconfig/htp.pc
 *      /usr/lib64/libhtp.so
 *      /usr/lib64/libhtp-0.5.18.so.1
 * 
 * Searching all installed packages for file collisions...
 * 
 * Press Ctrl-C to Stop
 * 
 * net-analyzer/suricata-2.0.11:0::gentoo
 *      /usr/include/htp/bstr.h
 *      /usr/include/htp/bstr_builder.h
 *      /usr/include/htp/htp.h
 *      /usr/include/htp/htp_base64.h
 *      /usr/include/htp/htp_config.h
 *      /usr/include/htp/htp_connection_parser.h
 *      /usr/include/htp/htp_core.h
 *      /usr/include/htp/htp_decompressors.h
 *      /usr/include/htp/htp_hooks.h
 *      /usr/include/htp/htp_list.h
 *      /usr/include/htp/htp_multipart.h
 *      /usr/include/htp/htp_table.h
 *      /usr/include/htp/htp_transaction.h
 *      /usr/include/htp/htp_urlencoded.h
 *      /usr/include/htp/htp_utf8_decoder.h
 *      /usr/include/htp/htp_version.h
 *      /usr/lib64/libhtp-0.5.18.so.1
 *      /usr/lib64/libhtp-0.5.18.so.1.0.0
 *      /usr/lib64/libhtp.so
 *      /usr/lib64/pkgconfig/htp.pc
 * 
 * Package 'net-libs/libhtp-0.5.18' NOT merged due to file collisions. If
 * necessary, refer to your elog messages for the whole content of the
 * above message.

>>> Failed to install net-libs/libhtp-0.5.18, Log file:
Comment 9 Sławek Lis gentoo-dev 2016-05-17 10:27:44 UTC
I've checked again suricata-2.0.11 and libhtp, it seems working fine for me.
Is that possible that you've got suricata installed before my last changes? 

The simplest solution would be to 'emerge -C suricata' and re-emerge it. Is that possible to do so on your machine?
Comment 10 Marcin Mirosław 2016-05-17 11:21:32 UTC
(In reply to Sławek Lis from comment #9)
> I've checked again suricata-2.0.11 and libhtp, it seems working fine for me.
> Is that possible that you've got suricata installed before my last changes? 

(In reply to Marcin Mirosław from comment #8)
> I'm getting filecollision with suricata and libhtp, I think that it's
> corelated to this bug. I've installed net-analyzer/suricata-2.0.11::gentoo
> at 26.02.2016

Yes:) As you see above.
It's not problem to uninstall and install again but I reported it to avoid other users to see nasty message:)